Subject: Re: bug#41006: 26.3; regular expressions documentation

From: jan <[email-masked]>
Date: Tue, 5 May 2020 11:02:13 +0100

Hi,
C-h C-a ('about emacs') gives the splash screen with

GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29

I'm using the online reference manual.  From the menu:
'Search Documentation' submenu 'Look Up Subject In User Manual'

minibuffer says:
'Subject to look up:'

I enter:
regexp RET

I immediately get taken to the page "15.6 Syntax of Regular
Expressions", directly into the node, *not* into the one level higher
menu which would visibly show there are 2 regular expression nodes.

I would guess this is a most people find it.

cheers

jan (but please see other reply on this thread which shows why I've
been getting confused about what I'm seeing)

On 05/05/2020, Richard Stallman <[email-masked]> wrote:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> You've explained that the division of the regexp documentation caused
> a problem for you.  I understand the kind of problem you describe,
> but I don't understand why the problem happened.
>
> You ask for these two nodes to be combined.
>
>   * Regexps::                   Syntax of regular expressions.
>   * Regexp Backslash::          Regular expression constructs starting with
> ‘\’.
>
> What version of the Emacs Lisp Reference Manual were
> you looking at?  From which Emacs version?
>
> The current master version has a subsection called
> Syntax of Regexps, which has these three subsubsections:
>
> * Regexp Special::      Special characters in regular expressions.
> * Char Classes::        Character classes used in regular expressions.
> * Regexp Backslash::    Backslash-sequences in regular expressions.
>
> Does this change in structure fix the problem?
>
> --
> Dr Richard Stallman
> Chief GNUisance of the GNU Project (https://gnu.org)
> Founder, Free Software Foundation (https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>